package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc车辆信息对象 cmc_car
 * 
 * @author cmc
 * @date 2024-02-23
 */
public class CmcCar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆id */
    private Long carId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String licensePlate;

    /** 驾驶员（常用） */
    @Excel(name = "驾驶员", readConverterExp = "常=用")
    private Long driver;

    public void setCarId(Long carId) 
    {
        this.carId = carId;
    }

    public Long getCarId() 
    {
        return carId;
    }
    public void setLicensePlate(String licensePlate) { this.licensePlate = licensePlate; }

    public String getLicensePlate() { return licensePlate; }
    public void setDriver(Long driver) 
    {
        this.driver = driver;
    }

    public Long getDriver() 
    {
        return driver;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("carId", getCarId())
            .append("license plate", getLicensePlate())
            .append("driver", getDriver())
            .toString();
    }
}
